<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EventMetabolismCheckRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        // only allow updates if the user is logged in
        //return backpack_auth()->check();
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'twid' => 'required|min:4|max:4',
            'phone' => 'required|min:4|max:4',
        ];
    }

    /**
     * Get the validation attributes that apply to the request.
     *
     * @return array
     */
    public function attributes()
    {
        return [
            'twid' => '身份證字號後4碼',
            'phone' => '行動電話後4碼',
            
        ];
    }

    /**
     * Get the validation messages that apply to the request.
     *
     * @return array
     */
    public function messages()
    {
        return [
            
            
        ];
    }
}
